## EXPORT_SPEC int UpnpAddToActionResponse

## ( IN OUT IXML_Document** ActionResponse,
IN const char* ActionName,
IN const char* ServType,
IN const char* ArgName,
IN const char* ArgVal )

> UpnpAddToActionResponse creates an action response packet based on its output parameters (status variable name and value pair).

## Documentation

> UpnpAddToActionResponse creates an action response packet based on its output parameters (status variable name and value pair). This API is especially suitable inside a loop to add any number of input parameters into an existing action response. If no action document exists in the beginning, a Upnp_Document variable initialized with `NULL` should be passed as a parameter.

Parameters:
  ActionResponse - Pointer to a document to store the action document node.
  - ActionName The action name.
  ServType - The service type.
  ArgName - The status variable name.
  ArgVal - The status variable value.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: One or more of the parameters are invalid.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.